"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteRemediationConfiguration_1 = require("../model/operations/DeleteRemediationConfiguration");
var DeleteRemediationConfigurationCommand = /** @class */ (function () {
    function DeleteRemediationConfigurationCommand(input) {
        this.input = input;
        this.model = DeleteRemediationConfiguration_1.DeleteRemediationConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteRemediationConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteRemediationConfigurationCommand;
}());
exports.DeleteRemediationConfigurationCommand = DeleteRemediationConfigurationCommand;
//# sourceMappingURL=DeleteRemediationConfigurationCommand.js.map