"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeComplianceByConfigRule_1 = require("../model/operations/DescribeComplianceByConfigRule");
var DescribeComplianceByConfigRuleCommand = /** @class */ (function () {
    function DescribeComplianceByConfigRuleCommand(input) {
        this.input = input;
        this.model = DescribeComplianceByConfigRule_1.DescribeComplianceByConfigRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeComplianceByConfigRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeComplianceByConfigRuleCommand;
}());
exports.DescribeComplianceByConfigRuleCommand = DescribeComplianceByConfigRuleCommand;
//# sourceMappingURL=DescribeComplianceByConfigRuleCommand.js.map