"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeConfigurationRecorders_1 = require("../model/operations/DescribeConfigurationRecorders");
var DescribeConfigurationRecordersCommand = /** @class */ (function () {
    function DescribeConfigurationRecordersCommand(input) {
        this.input = input;
        this.model = DescribeConfigurationRecorders_1.DescribeConfigurationRecorders;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeConfigurationRecordersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeConfigurationRecordersCommand;
}());
exports.DescribeConfigurationRecordersCommand = DescribeConfigurationRecordersCommand;
//# sourceMappingURL=DescribeConfigurationRecordersCommand.js.map