"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutConfigRule_1 = require("../model/operations/PutConfigRule");
var PutConfigRuleCommand = /** @class */ (function () {
    function PutConfigRuleCommand(input) {
        this.input = input;
        this.model = PutConfigRule_1.PutConfigRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutConfigRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutConfigRuleCommand;
}());
exports.PutConfigRuleCommand = PutConfigRuleCommand;
//# sourceMappingURL=PutConfigRuleCommand.js.map