"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutConfigurationAggregator_1 = require("../model/operations/PutConfigurationAggregator");
var PutConfigurationAggregatorCommand = /** @class */ (function () {
    function PutConfigurationAggregatorCommand(input) {
        this.input = input;
        this.model = PutConfigurationAggregator_1.PutConfigurationAggregator;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutConfigurationAggregatorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutConfigurationAggregatorCommand;
}());
exports.PutConfigurationAggregatorCommand = PutConfigurationAggregatorCommand;
//# sourceMappingURL=PutConfigurationAggregatorCommand.js.map