"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartConfigurationRecorder_1 = require("../model/operations/StartConfigurationRecorder");
var StartConfigurationRecorderCommand = /** @class */ (function () {
    function StartConfigurationRecorderCommand(input) {
        this.input = input;
        this.model = StartConfigurationRecorder_1.StartConfigurationRecorder;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartConfigurationRecorderCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartConfigurationRecorderCommand;
}());
exports.StartConfigurationRecorderCommand = StartConfigurationRecorderCommand;
//# sourceMappingURL=StartConfigurationRecorderCommand.js.map