"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopConfigurationRecorder_1 = require("../model/operations/StopConfigurationRecorder");
var StopConfigurationRecorderCommand = /** @class */ (function () {
    function StopConfigurationRecorderCommand(input) {
        this.input = input;
        this.model = StopConfigurationRecorder_1.StopConfigurationRecorder;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopConfigurationRecorderCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopConfigurationRecorderCommand;
}());
exports.StopConfigurationRecorderCommand = StopConfigurationRecorderCommand;
//# sourceMappingURL=StopConfigurationRecorderCommand.js.map