"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeliverConfigSnapshotInput_1 = require("../shapes/DeliverConfigSnapshotInput");
var DeliverConfigSnapshotOutput_1 = require("../shapes/DeliverConfigSnapshotOutput");
var NoSuchDeliveryChannelException_1 = require("../shapes/NoSuchDeliveryChannelException");
var NoAvailableConfigurationRecorderException_1 = require("../shapes/NoAvailableConfigurationRecorderException");
var NoRunningConfigurationRecorderException_1 = require("../shapes/NoRunningConfigurationRecorderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeliverConfigSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeliverConfigSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeliverConfigSnapshotInput_1.DeliverConfigSnapshotInput
    },
    output: {
        shape: DeliverConfigSnapshotOutput_1.DeliverConfigSnapshotOutput
    },
    errors: [
        {
            shape: NoSuchDeliveryChannelException_1.NoSuchDeliveryChannelException
        },
        {
            shape: NoAvailableConfigurationRecorderException_1.NoAvailableConfigurationRecorderException
        },
        {
            shape: NoRunningConfigurationRecorderException_1.NoRunningConfigurationRecorderException
        }
    ]
};
//# sourceMappingURL=DeliverConfigSnapshot.js.map