"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutConfigRuleInput_1 = require("../shapes/PutConfigRuleInput");
var PutConfigRuleOutput_1 = require("../shapes/PutConfigRuleOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var MaxNumberOfConfigRulesExceededException_1 = require("../shapes/MaxNumberOfConfigRulesExceededException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var InsufficientPermissionsException_1 = require("../shapes/InsufficientPermissionsException");
var NoAvailableConfigurationRecorderException_1 = require("../shapes/NoAvailableConfigurationRecorderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutConfigRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutConfigRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutConfigRuleInput_1.PutConfigRuleInput
    },
    output: {
        shape: PutConfigRuleOutput_1.PutConfigRuleOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: MaxNumberOfConfigRulesExceededException_1.MaxNumberOfConfigRulesExceededException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: InsufficientPermissionsException_1.InsufficientPermissionsException
        },
        {
            shape: NoAvailableConfigurationRecorderException_1.NoAvailableConfigurationRecorderException
        }
    ]
};
//# sourceMappingURL=PutConfigRule.js.map