"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Tags_1 = require("./_Tags");
var _RelatedEventList_1 = require("./_RelatedEventList");
var _RelationshipList_1 = require("./_RelationshipList");
var _SupplementaryConfiguration_1 = require("./_SupplementaryConfiguration");
exports._ConfigurationItem = {
    type: "structure",
    required: [],
    members: {
        version: {
            shape: {
                type: "string"
            }
        },
        accountId: {
            shape: {
                type: "string"
            }
        },
        configurationItemCaptureTime: {
            shape: {
                type: "timestamp"
            }
        },
        configurationItemStatus: {
            shape: {
                type: "string"
            }
        },
        configurationStateId: {
            shape: {
                type: "string"
            }
        },
        configurationItemMD5Hash: {
            shape: {
                type: "string"
            }
        },
        arn: {
            shape: {
                type: "string"
            }
        },
        resourceType: {
            shape: {
                type: "string"
            }
        },
        resourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        resourceName: {
            shape: {
                type: "string"
            }
        },
        awsRegion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        availabilityZone: {
            shape: {
                type: "string"
            }
        },
        resourceCreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        tags: {
            shape: _Tags_1._Tags
        },
        relatedEvents: {
            shape: _RelatedEventList_1._RelatedEventList
        },
        relationships: {
            shape: _RelationshipList_1._RelationshipList
        },
        configuration: {
            shape: {
                type: "string"
            }
        },
        supplementaryConfiguration: {
            shape: _SupplementaryConfiguration_1._SupplementaryConfiguration
        }
    }
};
//# sourceMappingURL=_ConfigurationItem.js.map